> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all eligible licenses GET https://api.contentful.com/spaces/{space_id}/eligible_licenses Use this endpoint to list all eligible licenses for a given space under an organization. This will check if the space usage would fit into the licenses limits, and also check if entitlements bank can cover if shortage exists. Reference: https://contentful.com/developers/docs/references/content-management-api/spaces/get-eligible-licenses ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [ { "count": 2, "id": "4b9Ee2HMf88ztZgEP5RNRd", "name": "Standard Space", "quotas": { "contentTypes": 75, "environments": 3, "records": 50000 }, "requiredAddOnAllocation": { "contentTypes": 75, "environments": 0, "records": 0 } } ], "limit": 100, "skip": 0, "sys": { "type": "Array" } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const space = await client.space.get({ spaceId: '', }); const eligibleLicenses = await space.getEligibleLicenses() ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEligibleLicenses()) .catch(console.error) ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```